France

Sample structures of the E_KYC_CHECK API responses for France L'Identité Numérique Verification (fra_pst_eid).

GREEN

The following response example represents successful checks.

{
    "checks": [
        {
            "answer": "GREEN",
            "checkType": "E_KYC_CHECK",
            "createdAt": "2026-07-16 08:58:23",
            "id": "4fa109d5-50e6-40eb-a1fa-a5b557f18c6e",
            "inputDoc": {
                "idDocType": "OTHER",
                "country": "FRA"
            },
            "extractedDoc": {
                "country": "FRA",
                "firstName": "Thomas Pierre",
                "lastName": "Leroy",
                "aliasName": "LEROY",
                "gender": "M",
                "phone": "33633333333",
                "email": "[email protected]",
                "dob": "1984-12-01",
                "placeOfBirth": "BORDEAUX",
                "nationality": "FRA",
                "countryOfBirth": "FRA",
                "additionalFields": [
                    {
                        "name": "restrictedId",
                        "value": "f3e89885-9965-4247-a4da-5fcadcf5c0f1"
                    },
                    {
                        "name": "levelOfAssurance",
                        "value": "SUBSTANTIAL"
                    }
                ],
                "additionalDocs": [
                    {
                        "country": "FRA",
                        "idDocType": "ID_CARD",
                        "number": "CNI007THO",
                        "mrzLine1": "IFRACNI<<<THO9<<<<<<<<<<<<<<<<8412014M3404012FRA<<<<<<<<6<<<LEROY<<THOMAS<PIERRE<<<<<<<<<<",
                        "issueDate": "2024-04-01",
                        "validUntil": "2034-04-01"
                    }
                ]
            },
            "ekycCheckInfo": {
                "confirmationId": "4cT1NWWln3BTGfovMTv61bbJ",
                "confirmationType": "oAuth"
            }
        }
    ]
}

YELLOW

The following response example represents a case when data was not found.

{
    "checks": [
        {
            "answer": "YELLOW",
            "checkType": "E_KYC_CHECK",
            "createdAt": "2026-07-16 10:24:36",
            "id": "9ae85850-7215-4603-8a9a-547e439d0b4c",
            "inputDoc": {
                "idDocType": "OTHER",
                "country": "FRA"
            },
            "ekycCheckInfo": {
                "confirmationId": "6UiNKtDrg4Si8JpuD1yjIsaZ",
                "confirmationType": "oAuth"
            }
        }
    ]
}

ERROR

The following example represents a case when an error occurred during the check.

{
  "checks" : [ {
    "answer" : "ERROR",
    "checkType" : "E_KYC_CHECK",
    "createdAt" : "2025-04-09 12:49:33",
    "id" : "0193f9aa-b2bb-46a6-9045-50508d8e516f",
    "inputDoc" : {
      "idDocType" : "OTHER",
      "country" : "FRA",
    },
    "ekycCheckInfo" : { }
  } ]
}